Previous Next        Current Page: NeXtMidas User's Guide / Third-Party Compatibility / Web Browsers / Applets in Firefox
FAQs   
Release Information   
Getting Help   
Basic Concepts   
Result Parameters   
XML Support   
Files   
System Operation   
Macros   
Applets and WebStart   
Graphics   
X-Midas Interoperability   
Third-Party Compatibility   
   - Apache   
   - Web Browsers   
      - Applets in Netscape / Mozilla   
      - Applets in Firefox   
      - Applets in Internet Explorer   
      - WebStart with Netscape / Mozilla   
      - WebStart with Firefox   
      - WebStart with Internet Explorer   
   - Java   
   + WebStart   
   - Profilers   
   - NetBeans   
   - Eclipse   
   - JBuilder   
   - Intel Fortran Compiler   
   - Portland Group Compiler   
   - SWIG   
   - VNC   
Installation and Customization   
Running NeXtMidas Independently   
Glossary   


Setup Applets in Firefox

These instructions install the Java Plug-In and may require System Administrator access to configure Firefox to run NeXtMidas applets:

  1. Download the recent version of the Java Development Kit (JDK) from http://java.sun.com and install the JDK as directed.
  2. (Linux/Solaris Only) Provide Firefox with access to the Java Plug-In library:
    1. cd into the browser's plugins directory located in the Firefox installation:
      /opt/firefox/plugins (This requires System Administrator access) Or
      ~/.mozilla/plugins (Changes will only be effective for user)
    2. Locate the appropriate plugin library.
        For older Firefox versions (pre-3.6), use the plugin which is the only file in the $JAVAHOME/jre/plugin/i386/ns610 directory. $JAVAHOME is the JDK's installation directory, i386 is the system platform type (use sol on Solaris), and ns610 is the browser class (ns for Netscape/Mozilla followed by a semi-arbitrary version number).
        For Firefox 3.6 and later, use the plugin:
           32-bit Firefox:  $JAVAHOME/jre/lib/i386/libnpjp2.so
           64-bit Firefox:  $JAVAHOME/jre/lib/amd64/libnpjp2.so
          NOTE: A 32-bit Firefox requires a 32-bit JDK plugin
    3. Create a symbolic link with "ln -s library" (library is the absolute path of the library found in the previous step). The link must be a symbolic link; you can not make a hard link or copy the library.
    4. Especially if linking to an older JDK, make sure only the desired JDK is enabled in the Java Control Panel (other JDKs should be disabled).
    5. For more help, see Mozilla Support
  3. Start Firefox.
  4. Select Edit/Preferences and then click on Content, then verify the "enable JavaScript" is selected.
  5. Select Tools/Add-ons to verify that the Java Plug-in is present and enabled.

Notes:
1) If you only use NeXtMidas as an applet on Windows, then download the Plug-In from http://www.java.com and install it separately from the rest of JDK.
2) When switching between JDKs, Firefox's cache may need to be cleared and Firefox restarted.